## ums2net 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.5)
project (ums2net)
set (ums2net_VERSION_MAJOR 0)
set (ums2net_VERSION_MINOR 1)
subdirs(src)
subdirs(conf)
subdirs(include)


set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${ums2net_VERSION_MAJOR}.${ums2net_VERSION_MINOR}")
set(CPACK_SOURCE_GENERATOR "TXZ")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/.git/;~$;${CPACK_SOURCE_IGNORE_FILES};.*.cmake$;CMakeCache.txt;CMakeFiles;_CPack_Packages;Makefile;.*.tar.xz;install_manifest.txt")
include(CPack)

enable_testing()

=== conf/CMakeLists.txt ===
install(FILES ums2net.conf DESTINATION etc COMPONENT config)

=== debian/changelog ===
ums2net (0.1.3-3) unstable; urgency=low

  * Migrate to systemd services file. (Closes: #1039405)
    - delete debian/ums2net.init.d
    - create debian/ums2net.service
  * debian/control: Bump debhelper version to 13.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 06 Jul 2023 00:47:56 +0800

ums2net (0.1.3-2) unstable; urgency=low

  * Fix debian/watch file.
  * Bump debhelper version to 12.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 29 Oct 2022 05:03:48 +0800

ums2net (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #886723)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Jan 2018 12:58:36 +0800

=== debian/control ===
Source: ums2net
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-xsl,
               libcppunit-dev,
               pkg-config,
               xsltproc
Standards-Version: 4.1.3
Homepage: https://github.com/grandpaul/ums2net

Package: ums2net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: USB Mass Storage to Network Proxy
 ums2net provides a way for a user to connect from a network connection to an
 USB mass storage device.

## ums2net 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.5)
+cmake_minimum_required (VERSION 3.10)
 project (ums2net)
 set (ums2net_VERSION_MAJOR 0)
 set (ums2net_VERSION_MINOR 1)

=== include/CMakeLists.txt ===
INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES (malloc.h HAVE_MALLOC_H)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/CMakeLists.txt ===
add_executable(ums2net main.cc ums2netconfrecord.cc configReader.cc servantThread.cc)

install(TARGETS ums2net DESTINATION sbin)
find_library(PTHREAD_LIBRARIES NAMES pthread)
target_link_libraries(ums2net ${PTHREAD_LIBRARIES})
include_directories(${PROJECT_BINARY_DIR})

subdirs(test)

=== src/test/CMakeLists.txt ===
find_package(PkgConfig)

pkg_check_modules(CPPUNIT cppunit)
link_directories(${CPPUNIT_LIBRARY_DIRS})
include_directories(${CPPUNIT_LIBRARY_DIRS})

add_executable(testUMS2NET-ConfRecord testUMS2NET-ConfRecord.cc ../ums2netconfrecord.cc)
target_compile_options(testUMS2NET-ConfRecord PUBLIC ${CPPUNIT_CFLAGS})
target_link_libraries(testUMS2NET-ConfRecord ${CPPUNIT_LIBRARIES})

add_test(UMS2NET-ConfRecord testUMS2NET-ConfRecord)

add_executable(testUMS2NET-ConfigReader testUMS2NET-ConfigReader.cc ../ums2netconfrecord.cc ../configReader.cc)
target_compile_options(testUMS2NET-ConfigReader PUBLIC ${CPPUNIT_CFLAGS})
target_link_libraries(testUMS2NET-ConfigReader ${CPPUNIT_LIBRARIES})

add_test(UMS2NET-ConfigReader testUMS2NET-ConfigReader)

=== debian/changelog ===
ums2net (0.1.4-1) unstable; urgency=low

  * New upstream release.
    - Bump cmake minimum version to 3.10 (Closes: #1113603)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 02 Oct 2025 03:39:50 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper-compat (= 13),
                docbook-xsl,
                libcppunit-dev,
-               pkg-config,
+               pkgconf,
                xsltproc
 Standards-Version: 4.1.3
 Homepage: https://github.com/grandpaul/ums2net

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build: ums2net.8
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

ums2net.8: debian/ums2net.8.xml
	$(XP) $(DB2MAN) $<

=== debian/tests/control ===
Tests: test-user-1
Depends: @, netcat-openbsd
Restrictions: isolation-container

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/grandpaul/ums2net/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
